#ifndef __TEXTURE_OBJECT__
#define __TEXTURE_OBJECT__

#include <stdlib.h>
#include <iostream>
#include "GL/glut.h"
#include "IL/il.h"
//#include "IL/ilu.h"
//#include "IL/ilut.h"

class TextureObject
{
public:
	
	TextureObject( std::string path);

	virtual ~TextureObject();

	void activate();

	void deactivate();

protected:

	ILuint handler;
	GLuint imageHandle;


};

#endif __VERTEX_BUFFER_OBJECT__